### org.jfree.layouting.layouter.style

# Class LayoutStyleImpl

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.LayoutStyleImpl`

Implemented Interfaces:
  LayoutStyle

`public final class LayoutStyleImpl`
`extends java.lang.Object`
`implements LayoutStyle`

Unlike the old JFreeReport stylesheet, this implementation has no inheritance at all. It needs to be resolved manually, which is no bad thing, as we have to do this anyway during the computation.

Author:
  Thomas Morgner

  ## Constructor Summary

  `LayoutStyleImpl()`

  ## Method Summary

  `boolean`

  `copyFrom(LayoutStyle style)`

  `LayoutStyleImpl`

  `createCopy()`

  `void`

  `dispose()`

  `Object`

  `getReference()`

  `CSSValue`

  `getValue(StyleKey key)`

  `boolean`

  `isClean()`

  `void`

  `setReference(Object reference)`

  `void`

  `setValue(StyleKey key, CSSValue value)`

## Constructor Details

### LayoutStyleImpl

    public LayoutStyleImpl()

## Method Details

### copyFrom

    public boolean copyFrom(LayoutStyle style)

> Specified by:
>   copyFrom in interface LayoutStyle

### createCopy

    public LayoutStyleImpl createCopy()

### dispose

    public void dispose()

### getReference

    public Object getReference()

### getValue

    public CSSValue getValue(StyleKey key)

> Specified by:
>   getValue in interface LayoutStyle

### isClean

    public boolean isClean()

### setReference

    public void setReference(Object reference)

### setValue

    public void setValue(StyleKey key,
                         CSSValue value)

> Specified by:
>   setValue in interface LayoutStyle